import localFont from 'next/font/local'
import './globals.css'
import Navigation from '../components/navigation/Navigation'

const ibm_vga = localFont({
    src: '../styles/fonts/ibm_vga.woff',
    variable: '--font-ibm-vga',
})

export const metadata = {
    title: 'Niisse\'s Net',
    description: '',
}

export default function RootLayout({children,}: { children: React.ReactNode }) {
    return (
        <html lang="en" className={ibm_vga.className}>
        <body>

        <div className="min-h-screen max-w-7xl mx-auto overflow-y-auto pb-3">
            <div className="lg:mx-16 sm:mx-8 mx-2">
                <nav> <Navigation/> </nav>
                <main>
                    {children}
                </main>
            </div>
        </div>


        </body>
        </html>
    )
}
