/** @type {import('tailwindcss').Config} */
const plugin = require('tailwindcss/plugin')
module.exports = {
    content: [
        './src/pages/**/*.{js,ts,jsx,tsx,mdx}',
        './src/components/**/*.{js,ts,jsx,tsx,mdx}',
        './src/app/**/*.{js,ts,jsx,tsx,mdx}',
    ],
    theme: {
        extend: {
            boxShadow: {
                'pixel-sm': '2px 2px black',
                'pixel-sm-hover': '2px 4px black',
                'pixel-md': '4px 4px black',
                'pixel-inset': 'inset 3px 3px var(--tw-shadow-color), inset -3px -3px var(--tw-shadow-color)'
            },
            dropShadow: {
                'pixel-sm': '2px 2px var(--tw-shadow-color)',
                'pixel-sm-hover': '2px 4px var(--tw-shadow-color)',
                'card': '4px 4px var(--tw-shadow-color)',
                'pixel-md': '2px 4px var(--tw-shadow-color)',
                'pixel-lg': '2px 5px var(--tw-shadow-color)',
            },
            textShadow: {
                sm: '2px 2px var(--tw-shadow-color)',
                DEFAULT: '0px 2px var(--tw-shadow-color)',
                md: '2px 5px var(--tw-shadow-color)',
                lg: '0px 5px var(--tw-shadow-color)',
                h1: '3px 3px var(--tw-shadow-color)',
            },
        },
    },
    plugins: [
        plugin(function ({matchUtilities, theme}) {
            matchUtilities(
                {
                    'text-shadow': (value) => ({
                        textShadow: value,
                    }),
                },
                {values: theme('textShadow')}
            )
        }),
    ],
}
